Bug 472544 - RFE: allow making a full-groupinstall via the cli
RFE: allow making a full-groupinstall via the cli
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 12:06 EST by Nicolas Mailhot
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 12:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-11-21 12:06:06 EST
Sometimes you need to override default yum settings, such as when making a one-shot full groupinstall regardless of how yum usually treats optional elements

While it is technically doable by changing the yum configuration and then changing it back, it's a lot of overhead for a one-shot operations and makes it all effectively impossible to use in web faqs and walkthrough. (anything that requires opening a text editor is usually a dead end)

Please add a CLI option to yum that can be used to perform one-shot full groupinstalls

yum-3.2.20-3.fc10.noarch
Comment 1 James Antill 2008-11-21 16:22:03 EST
You might want to try: http://projects.robinbowes.com/yum-grouppackagetypes/trac

...feel free to package it, if you want, as we're not desperate to have it in yum-utils (IMO the real fix is some plugin like yum-config-cmd-line ... which allows you to set these weird config. variables on the cmd line, without requiring 666 plugins to do it).
Comment 2 James Antill 2010-04-29 12:27:22 EDT
We now have --setopt in upstream, so that can be used to change these corner case config. options from the cmd line.

Note You need to log in before you can comment on or make changes to this bug.